<?php

if(!defined("IN_MYBB"))
{
    die("L'inizializzazione di questo file non  stata autorizzata.<br /><br />Controllare che IN_MYBB sia definito.");
} 

function MySignature_info()
{
    return array(
        "name"          => "MySignature",
        "description"   => "With this plugin you can set a scroll bar for your user's signature",
        "website"       => "http://mybboard.it/forum",
        "author"        => "Dvdxseo",
        "authorsite"    => "http://mybboard.it/forum/user-1097.html",
        "version"       => "1.0",
        "compatibility" => "14*"
    );
}

function MySignature_activate()
{

     require MYBB_ROOT.'/inc/adminfunctions_templates.php';
    find_replace_templatesets("postbit_signature", '#'.preg_quote('{$post[\'signature\']}').'#' , '<div class="signature">{$post[\'signature\']}</div> ');
    find_replace_templatesets("showthread", '#'.preg_quote('{$headerinclude}').'#' , '{$headerinclude}
<style type="text/css">.signature {
height: expression( this.scrollHeight > {$mybb->settings[\'Max_height\']} ? "{$mybb->settings[\'Max_height\']}px" : "auto" ); /* sets max-height for IE */
       max-height: 333px; /* sets max-height value for all standards-compliant browsers */
       overflow:auto;
}</style>');

    global $db;

     $group = array(
        "title"          => "My_Signature",
        "name"           => "My_Signature",
        "description"    => "Settings for My Signature.",
        "disporder"      => "1",
        "isdefault"      => "0",
    );
    
    $db->insert_query("settinggroups", $group);
    $gid = $db->insert_id(); //This will get the id of the just added record in the db
    
    
    $setting_1 = array(
        "name"           => "Max_height",
        "title"          => "Max_height",
        "description"    => "Enter here the max height for your user\'s signature.",
        "optionscode"    => "text",
        "value"          => '400',
        "disporder"      => '1',
    );

    $db->insert_query("settings", $setting_1);
    rebuild_settings();

}

function MySignature_deactivate()
{

    require MYBB_ROOT.'/inc/adminfunctions_templates.php';
    find_replace_templatesets("postbit_signature", '#'.preg_quote('<div class="signature">{$post[\'signature\']}</div>').'#' , '{$post[\'signature\']}' ,0);
    find_replace_templatesets("showthread", '#'.preg_quote('{$headerinclude}
<style type="text/css">.signature {
height: expression( this.scrollHeight > {$mybb->settings[\'Max_height\']} ? "{$mybb->settings[\'Max_height\']}px" : "auto" ); /* sets max-height for IE */
       max-height: 333px; /* sets max-height value for all standards-compliant browsers */
       overflow:auto;
}</style>').'#' , '{$headerinclude}' ,0);

    global $db;

    $db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='Max_height'");
    $db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='My_Signature'");
    rebuild_settings();
} 

?>